.ec-cartRole__progress {
  margin-top: 10px;
}

.ec-progress {
  padding: 16px 0;
}

.ec-cartRole .ec-cartRole__totalText {
  margin: auto 10% 30px;
  padding: 16px 20px 6px;
}

.ec-cartRole__totalText p {
  font-weight: bold;
  text-align: left;
}

.ec-cartRole .ec-cartRole__totalAmount {
  color: #333;
}

.cart_total {
  align-items: baseline;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  position: relative;
  width: 16em;
}

.cart_total dt {
  padding: 0.2em 0;
  text-align: left;
  width: 30%;
}

.cart_total dd {
  padding: 0.2em 0;
  width: 70%;
}

.cart_total dt.-total {
}

.cart_total dt.-total + dd {
  font-size: 24px;
  font-weight: 900;
}

.cart_total dt.-total + dd::before {
  background: var(--main-border);
  content: '';
  display: block;
  height: 1px;
  left: 0;
  margin: -8px 0 0;
  position: absolute;
  width: 100%;
}

.cart_total .-tax {
  font-size: 0.8em;
  font-weight: 500;
}

.ec-cartRole .ec-cartRole__actions {
  display: flex;
  flex-direction: row-reverse;
  flex-wrap: wrap;
  padding: 0 0 30px;
  width: 100%;
}

.ec-cartRole__total {
  width: 100%;
}

#cart_order_desc {
  margin: 0 0 30px;
  width: 100%;
}

p#cart_order_desc span {
  font-weight: bold;
}

.ec-blockBtn--action {
   width: 30%;
}

.ec-blockBtn--cancel {
  width: 30%;
}

.ec-off1Grid {
  display: block;
}

.ec-blockBtn--action {
  width: 30%;
}

.ec-cartNaviIsset__action .ec-blockBtn--action {
  width: 100%;
}

.ec-RegisterRole__actions,
.ec-RegisterRole__actions .ec-off4Grid,
.ec-RegisterRole__actions .ec-off4Grid__cell {
  display: block;
  width: 100%;
}

.ec-RegisterRole__actions .ec-off4Grid__cell {
  display: flex;
  flex-direction: row-reverse;
  margin: 0 auto 60px;
  width: 83%;
}


.ec-orderRole {
  display: block;
  margin: auto;
  width: 80%;
}

.ec-orderRole .ec-orderRole__detail {
  width: 100%;
}

.ec-orderRole .-head {
  font-size: 1.2rem;
  font-weight: bold;
}

.ec-orderRole .-caption {
  margin: -1rem 0 1rem;
}

.ec-orderRole .-listText,
.ec-cartCompleteRole .-listText {
  padding: 0;
}

.ec-orderRole .-listText > li,
.ec-cartCompleteRole .-listText > li {
  padding-left: 1em;
  text-indent: -1em;
}

.ec-orderRole .-listText > li::before,
.ec-cartCompleteRole .-listText > li::before {
  content: '・';
}

.ec-orderRole input[type=radio],
.ec-orderRole input[type=checkbox] {
  display: inline-block;
  width: auto;
}

.ec-orderRole .ec-orderRole__summary {
  margin-top: 0!important;
  width: 100%;
}

.ec-totalBox .ec-totalBox__paymentTotal .ec-totalBox__price {
  font-size: 1.6rem;
}

.ec-totalBox__btn {
  display: flex;
  gap: 20px;
  flex-direction: row-reverse;
  justify-content: center;
  margin: 0 auto 60px;
  width: 100%;
}


.ec-cartCompleteRole .-orderNum {
  margin: 30px 0;
  text-align: center;
}

.ec-cartCompleteRole .ec-reportHeading {
  border-top: none;
}

.ec-cartCompleteRole .ec-reportDescription,
.ec-cartCompleteRole li {
  text-align: left;
}

.ec-cartCompleteRole .ec-blockBtn--cancel,
.ec-cartCompleteRole .ec-blockBtn--primary {
  margin: auto;
}

.ec-cartCompleteRole .ec-off3Grid .ec-off3Grid__cell {
  width: 100%;
  margin: 0 auto;
  text-align: left;
}

@media screen and (max-width:768px) {

  .ec-cartCompleteRole .-orderNum {
    margin: calc(30*100vw/375) 0;
  }

  .ec-layoutRole .ec-layoutRole__main {
    padding-top: calc(60*100vw/375);
  }

  .ec-pageHeader h1, .ec-pageHeader .h1 {
    font-size: calc(18*100vw/375);
  }

  .ec-cartRole__totalText>p {
    text-align: left;
    font-weight: bold;
  }

  .ec-cartRole__total span.ec-cartRole__totalAmount {
    color: #525263;
    font-size: 1.6rem;
  }

  #cart_order_desc {
    font-size: 0.8rem;
    text-align: left;
  }

  #cart_order_desc>span {
    font-weight: bold;
    font-size: 0.9rem;
  }

  .ec-zipInput {
    display: block;
  }


  .ec-zipInputHelp {
    margin-left: 0;
  }

  .ec-borderedDefs input,
  .ec-zipInput input,
  .ec-telInput input,
  .ec-borderedDefs select {
    display: block;
    max-width: none;
    width: 100%;
    border: 1px solid #707070;
    border-radius: 5px;
  }

  span.m-newWindow {
    display: inline-block;
    padding: 0 3px;
    width: 14px;
    margin: 0;
  }

  a.blank_link {
    text-decoration: underline;
    color: #3C3C3C;
  }

  .ec-zipInputHelp {
    font-size: 12px;
    display: block;
  }

  /* .form_group.-adress {
    border-bottom: 1px dotted #ccc;
    padding: 10px 0 0;
  }

  .form_group.-adress .ec-select select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
  } */

  .ec-cartRole .ec-cartRole__totalText {
    margin: auto auto 20px;
  }


  .ec-RegisterRole__actions .ec-off4Grid__cell {
    display: block;
    width: 100%;
  }

  .ec-totalBox__btn {
    display: block;
  }

  .ec-blockBtn--action,
  .ec-blockBtn--cancel {
    margin: 0 0 10px;
    width: 100%;
  }

}


.ec-orderRole img.credit-img {
  height: auto;
  max-width: 182px;
  width: 100%;
}

@media screen and (max-width:768px) {
  .ec-orderRole img.credit-img {
    max-width: 360px;
  }
}